[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TInterfacedPersistent.AfterConstruction

Overrides the standard AfterConstruction method.

## Declaration

Source position: classesh.inc line 463

`public procedure TInterfacedPersistent.AfterConstruction; override;`

## Description

AfterConstruction is overridden to do some extra interface housekeeping: a reference to the IInterface interface of the owning class is obtained (if it exists).

Documentation generated on: Feb 26 2014